# Italia: A Celebration of Python Italia 🇮🇹

Welcome to **Italia**, a fun and whimsical package born out of the spirit of PyCon
Italia 2024. This package celebrates the Python Italia association and aims to bring a
touch of Italian charm to your Python experience.

## 🎉 Introduction

The idea for this package started with a t-shirt printed for PyCon Italia 2024,
featuring the line `from italia import 🤌`. Unfortunately, due to the current
limitations in Python, this import isn't possible — yet. But that didn't stop us from
creating something special!

**Italia** is an Easter egg package that celebrates the vibrant community of Python
Italia. It's designed to amuse, surprise, and inspire future Pythonistas by sharing a
bit of the magic of PyCon Italia with the community.

## 🚀 Installation

To install the package, you can use any package manager.

### Using pip

```bash
pip install italia
```

### Using Poetry

```bash
poetry add italia
```

### Using PDM

```bash
pdm add italia
```

## 🌟 Usage

To experience the full charm of this package, simply import it in your Python script:

```python
import italia
```

Explore the various submodules and see what surprises await:

```python
from italia import team
from italia import story
```

## 📚 Requirements

- Python 3.8 or higher

## 🤝 Contributing

We welcome contributions from the community! Whether you want to add more stories,
enhance the existing features, or bring new ideas, your contributions are valuable.
Here’s how you can contribute:

1. **Fork the repository**: Create a fork of the project on GitHub.
2. **Clone your fork**: Clone your fork to your local machine.
   ```bash
   git clone https://github.com/your-username/italia.git
   ```
3. **Create a new branch**: Create a branch for your feature or fix.
   ```bash
   git checkout -b feature-name
   ```
4. **Make your changes**: Implement your changes in the new branch.
5. **Commit your changes**: Commit your changes with a descriptive message.
   ```bash
   git commit -m "Add a new story about PyCon Italia"
   ```
6. **Push your changes**: Push your changes to your fork.
   ```bash
   git push origin feature-name
   ```
7. **Create a Pull Request**: Open a pull request to the main repository and describe
   your changes.

## 🎉 Join the Team

Are you passionate about Python and the Italian Python community? Want to help us
organize the next PyCon Italia? Write to us at [help@pycon.it](mailto:help@pycon.it) and
become a part of our amazing organizers team!

## 📧 Contact

For any questions, suggestions, or just to say hello, reach out to us at
[help@pycon.it](mailto:help@pycon.it).
